fields:
    tabsection:
        label: Section/Tab
        nameFrom: name
        descriptionFrom: description
        span: full
        type: relation
    title:
        label: Title
        span: auto
        required: 1
        type: text
    contentslug:
        label: Slug
        span: auto
        required: 1
        preset:
            field: title
            type: slug
        type: text
tabs:
    fields:
        gallery:
            label: Images
            prompt: 'Add new image'
            titleFrom: title
            style: collapsed
            span: full
            type: repeater
            tab: Gallery
            form:
                fields:
                    title:
                        label: 'Alt text'
                        span: auto
                        type: text
                    image:
                        label: Image
                        mode: image
                        imageWidth: '150'
                        span: auto
                        type: mediafinder
                    videogal:
                        label: 'Add Video'
                        span: auto
                        type: checkbox
                    video:
                        label: Video
                        mode: file
                        span: auto
                        trigger:
                            action: show
                            field: videogal
                            condition: checked
                        type: mediafinder
        description:
            label: Description
            size: large
            span: full
            type: richeditor
            tab: Description
        listitems:
            label: List
            prompt: 'Add new item'
            style: accordion
            span: full
            type: repeater
            tab: 'List (e.g. Things to see, Do)'
            form:
                fields:
                    title:
                        label: Title
                        span: auto
                        type: text
                    image:
                        label: Image
                        mode: image
                        imageWidth: '150'
                        span: auto
                        type: mediafinder
                    cta_text:
                        label: 'Call to action text'
                        span: auto
                        type: text
                    cta_link:
                        label: 'Call to action link'
                        span: auto
                        type: text
                    additional_images:
                        label: 'Additional Images'
                        prompt: 'Add new image'
                        titleFrom: title
                        style: collapsed
                        span: full
                        type: repeater
                        form:
                            fields:
                                title:
                                    label: Title
                                    span: auto
                                    type: text
                                image:
                                    label: Image
                                    mode: image
                                    prompt: 'Add new image'
                                    span: auto
                                    type: mediafinder
                    description:
                        label: Description
                        size: large
                        span: full
                        type: richeditor
        accorditems:
            label: Accordion
            prompt: 'Add new item'
            titleFrom: title
            style: accordion
            span: full
            type: repeater
            tab: 'Accordions (e.g. Visa requirements)'
            form:
                fields:
                    title:
                        label: Title
                        span: full
                        type: text
                    text:
                        label: Text
                        size: large
                        span: full
                        type: richeditor
